QGIS Application - Feature request #14460
Avoid corrupted qgs files when writing to network drives
2016-03-11 08:15 AM - Saber Razmjooei

Status: Open

Priority: Normal

Assignee:

Category: Project Loading/Saving

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 22438
Description

When user saves a large QGIS project with several layers and complex symbology on a network drive, QGIS becomes unresponsive.

There is no feedback on the screen showing the percentage completed and time remaining. Some users kill the process and will end up
with a corrupted qgs file with missing tags. The project will not open any longer and users have to start again.

It will be good if QGIS writes the qgs file to another file (qgs.part for example) and if the process is completed successfully and qgs.part is
fully written, file object closed, data safely flushed to disk. And at the final stage, QGIS renames qgs.part to .qgs.

Related issues:

Related to QGIS Application - Bug report # 14731: Project file data loss Closed 2016-04-26
Related to QGIS Application - Bug report # 13299: Slow saving to network drive Closed 2015-08-31
History

#1 - 2016-03-11 08:15 AM - Saber Razmjooei
- Tracker changed from Bug report to Feature request

#2 - 2016-03-12 01:09 AM - Anita Graser
- Subject changed from Corrupted qgs files to Avoid corrupted qgs files when writing to network drives

#3 - 2016-04-26 01:57 AM - Jurgen Fischer

QGIS already writes the project file to the temp directory and then copies it to the final destination (see #13299)

#4 - 2016-04-26 02:01 AM - Saber Razmjooei

Jurgen Fischer wrote:

QGIS already writes the project file to the temp directory and then copies it to the final destination (see #13299)

In that case, it'd be better to have a better feedback to user (e.g. a progress bar) during the save process.
As there is no clear indication of what is happening, user often Kills the process and ends up with a curropted qgs file.

#5 - 2016-04-26 02:13 AM - Jiirgen Fischer

Jurgen Fischer wrote:

QGIS already writes the project file to the temp directory and then copies it to the final destination (see #13299)
In case the user kills the process while the project file is still being copied - there should be a temporary file gt_temp. XXXXXX, that has a good copy. But

the time consuming process is probably the creation of the temporary file and not the copying (and only for the latter there could be a easy progress
indication).

#6 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No
